DNS Error on V2.1



  • Hello All, Just started setting up PFSense on my Firebox X750. I know this is a quite old platform and right now I have it running version 2.1. I've got internet and I've got the software configured so all devices on the LAN can access the internet as well. When I go to the package manager I get the error message:

    Unable to communicate with www.pfsense.com. Please verify DNS and interface configuration, and that pfSense has functional Internet connectivity.	
    

    I saw in another post that someone tested resolution of the package server by using:

    [2.1-RELEASE][admin@pfsense.localdomain]/root(1): nslookup
    > set type=srv
    > _https._tcp.pkg.pfsense.org
    Server:         127.0.0.1
    Address:        127.0.0.1#53
    
    Non-authoritative answer:
    _https._tcp.pkg.pfsense.org     service = 10 10 443 files01.netgate.com.
    _https._tcp.pkg.pfsense.org     service = 10 10 443 files00.netgate.com.
    
    Authoritative answers can be found from:
    > exit
    
    

    Browsing through what I assume is the mirrors (http://files00.netgate.com/) for the packages I see that it goes back to version 2.3. Is there somewhere else I should look for diagnosing this connection or is this version unsupported now?

    Thanks in advance!


  • LAYER 8

    yeah EOL, unsupported


  • LAYER 8 Global Moderator

    2.1?? That came out in 2013? No that is not supported..

    2.3 has been EOL for over a year and not supported either..


  • Rebel Alliance Developer Netgate

    pfSense 2.1 wouldn't hit that package server. We deactivated the package site used by 2.1 years ago. It's expected that it would fail at this point. 2.4.x is the only supported line currently.


Log in to reply